import request from '@/utils/request'

// 获取任务列表
export function getTaskList(data={}){
	return request({
	  url: `/h5/task/list`,
	  headers:{ "isToken":true},
	  method: 'get',
	  params: data
	})
}

// 接受任务
export function acceptTask(taskId){
	return request({
	  url: `/h5/task/accept/${taskId}`,
	  headers:{ "isToken":true},
	  method: 'post'
	})
}

// 提交任务
export function submitTask(data){
	return request({
	  url: `/h5/task/submit`,
	  headers:{ "isToken":true},
	  method: 'post',
	  data
	})
}

// 获取任务详情
export function getTaskDetail(taskId){
	return request({
	  url: `/h5/task/detail/${taskId}`,
	  headers:{ "isToken":true},
	  method: 'get'
	})
}